<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetNextFolder Method (IEdmLabel5)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmLabel5 Interface : GetNextFolder Method (IEdmLabel5)

Visual Basic
C#
C++/CLI

poPos
  IEdmPos5; position of the next folder (see Remarks)

Gets the next folder with this label in the enumeration.

# Syntax

Visual Basic |
--- | ---

    Function GetNextFolder( _
       ByVal poPos As IEdmPos5 _
    ) As IEdmFolder5

C# |
--- | ---

    IEdmFolder5 GetNextFolder(
       IEdmPos5 poPos
    )

C++/CLI |
--- | ---

    IEdmFolder5^ GetNextFolder(
    &   IEdmPos5^ poPos
    )

#### Parameters

poPos
  IEdmPos5; position of the next folder (see Remarks)

#### Return Value

IEdmFolder5

# Remarks

Before calling this method the first time, you must populate poPos with the interface to the position of the first folder with this label, IEdmPos5. Call IEdmLabel5::GetFirstFolderPosition to obtain IEdmPos5.

After calling this method the first time, poPos is automatically incremented every time it is called. Call this method repeatedly to obtain the rest of the folders with this label.

Be sure to call IEdmPos5::IsNull before you call this method to ensure you have not reached the end of the enumeration.

If you only need the ID of the next folder with this label, call IEdmLabel5::GetNextFolderID instead of this method.

C++ programmers not using smart-pointer wrapper functions must release the returned interface, IEdmFile5.

Return codes:

- S_OK: The method successfully executed.
- E_EDM_END_OF_LIST: You have gone past the end of the list.

# See Also

####

IEdmLabel5 Interface
IEdmLabel5 Members

# Availability

SOLIDWORKS PDM Professional Version 5.2